#version 410 core

layout (location = 0) out vec4 fragColor;
layout (location = 1) out vec4 brightColor;

in vec2 uv;

uniform sampler2D image;

void main()
{           
	vec3 tex_color = texture(image, uv).xyz;
	fragColor = vec4(tex_color, 1.0f);
	
	float brightness = dot(tex_color, vec3(0.2126, 0.7152, 0.0722));
	if(brightness > 0.7)
		brightColor = vec4(tex_color, 1.0);
}