#version 410 core

in vec3 worldNormal;
in vec2 texCoord;

uniform sampler2D color_texture;
uniform float transparency;


layout (location = 0) out vec4 fragColor;

void main() {

	fragColor = vec4(texture(color_texture, texCoord).rgb, transparency);

}